Subject: RE: 3gpp-analysis-05: Use of NAT-PT in IPv6 UE -> IPv4 node

From: "Karim El-Malki (HF/EAB)" <[email-masked]>
Date: Mon, 22 Sep 2003 17:24:34 +0200

> First, a couple of points of discussion:
 > 
 >  - If UE is IPv6-only, and you hook up an IPv4 (or 
 > dual-stack) laptop to 
 > the UE, would you be able to use IPv4 through the UE (using 
 > separate PDP 
 > context)?
 >  - Is there something why this would be undesirable (double 
 > billing with 
 > two PDP contexts?)
 > 
 >  JW: Hmm...that depends on the fact whether IPv4 dial-up is supported
 > in the UE, i.e. that means PPP(v4) support and it must be possible to
 > set up a PDP context for PC dial-up... If we strictly talk 
 > about IPv6-
 > only UE, maybe that is not possible, but it depends on the 
 > implementation.

I'd say that if the UE is really IPv6-only (i.e. only IPv6 PDP Contexts
are supported) then you can't simply hook up an IPv4-only laptop. That's
unless something special happens in the UE that enables it to take in
IPv4 packets and throw out IPv6 packets...

 > 
 > What I'm trying to grasp at is this: if someone deploys 
 > IPv6-only UE's,
 > for specific purposes only (e.g. making calls, browsing the 
 > web), can we
 > expect that the user of the device does not require geneirc purpose
 > Internet connectivity (e.g. being able to connect to IPv4 address X, 
 > protocol Y, port Z)?
 > 
 >  JW: Well...it seems that some level of IPv4 connectivity 
 > will be needed for 
 > quite a long time (even though I personally hope that the transition 
 > to IPv6 would happen more rapidly). Anyway, making prognoses 
 > is always
 > difficult.

Agreed, and that's up to the complete solution chosen by the operator.
If one really wanted it would be possible to get access to the required
IPv4 services from an IPv6-only UE through app. proxies for example.

 >  3.4 IPv6 UE Connecting to an IPv4 Node 
 > 
 > The deployment of generic-purpose IPv6(-only) UEs is not 
 > recommended until
 > the IPv6 deployment has become so prevalent that direct 
 > communication with
 > IPv4(-only) nodes will no longer be necessary.
 > 
 > Specific-purpose UEs, capable of doing only specific kinds 
 > of tasks, are a
 > slightly different thing: it may be possible to make 
 > assumptions on the
 > nodes and communication protocols they need to use. Then it may be
 > possible to deploy specialized IPv6(-only) equipment because 
 > it's known
 > that they do not need to reach an IPv4(-only) nodes except using very
 > specific applications and methods -- and in that case, it is 
 > possible to
 > use specific translation and proxying techniques, not generic
 > translation.

Pekka, as Juha menitoned, you are drawing a line between generic-purpose
IPv6 UEs and specific purpose IPv6 UEs assuming this is a feasible way of
labelling UE products. Not sure we can make such a distinction at this point.
It may be that all UEs will be in fact "specific purpose" in some way, so
I don't see a gain in making this distinction. We could however point out
the fact that IPv4 will remain useful for a long time, so in general
dual-stack is the way to go if you don't know any better. I think this
is a bit different from what is said above.
/Karim

---

From: Pekka Savola <[email-masked]>
Date: Mon, 22 Sep 2003 22:41:03 +0300 (EEST)

On Mon, 22 Sep 2003, Karim El-Malki (HF/EAB) wrote:
[...]
> labelling UE products. Not sure we can make such a distinction at this point.

Right .. but I see no usable labeling mechanism.

> I don't see a gain in making this distinction.

But if they're generic purpose in some other ways, they're generic purpose 
overall, leading to certain recommendations.

I certainly see that labeling products like this is not easy, but that 
seems to be about the only way to describe the distinction of how to 
perform access from ipv6-only systems to ipv4.

> We could however point out

Depending on what kind of text this would result in, this might also be 
OK.  I don't quickly see how that would be singinificantly less of a 
rat-hole...

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings